<?php

declare(strict_types=1);

namespace Drupal\sites_simple_sitemap\EventSubscriber;

use Drupal\Core\Routing\RouteSubscriberBase;
use Symfony\Component\Routing\RouteCollection;

/**
 * Route subscriber.
 */
final class SitesSimpleSitemapRouteSubscriber extends RouteSubscriberBase {

  /**
   * {@inheritdoc}
   */
  protected function alterRoutes(RouteCollection $collection): void {
    if ($route = $collection->get('simple_sitemap.sitemap_default')) {
      $route->setDefault('_controller', '\Drupal\sites_simple_sitemap\Controller\SitesSimpleSitemapController::getSitemap');
    }
  }

}
