<?php

namespace Drupal\sites_simple_sitemap;

/**
 * Provides an interface for the SitesSimpleSitemapService.
 */
interface SitesSimpleSitemapServiceInterface {

  /**
   * Generate site sitemaps from the default sitemap.
   *
   * @param array $sitemaps
   *   The sitemaps to generate site sitemaps from.
   *
   * @return array
   *   The generated site sitemaps.
   */
  public function generateSitesSitemaps(array $sitemaps): array;

  /**
   * Returns a specific setting or a default value if setting does not exist.
   *
   * @param string $name
   *   Name of the setting, like 'max_links'.
   * @param mixed $default
   *   Value to be returned if the setting does not exist in the configuration.
   *
   * @return mixed
   *   The current setting from configuration or a default value.
   */
  public function getSetting(string $name, $default = NULL);

}
