<?php

namespace Drupal\sites_simple_sitemap;

use Symfony\Component\DependencyInjection\Reference;
use Drupal\Core\DependencyInjection\ServiceProviderBase;
use Symfony\Component\DependencyInjection\ContainerBuilder;

/**
 * The sites_simple_sitemap.service service provider.
 */
class SitesSimpleSitemapServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function alter(ContainerBuilder $container) {
    parent::alter($container);

    // If sites_parent_site is enabled, we want to generate sitemaps per parent
    // site.
    if ($container->has('plugin.manager.root_site')) {
      $container->getDefinition('sites_simple_sitemap.service')
        ->setArgument(1, new Reference('plugin.manager.root_site'));
    }
    if ($container->has('sites.parent_site')) {
      $container->getDefinition('sites_simple_sitemap.simple_sitemap.generator')
        ->setArgument(2, new Reference('sites.parent_site'));
    }
  }

}
